searchNodes=[{"doc":"Módulo encargado de realizar las validaciones de identificadores personales y fiscales de México, Colombia, España, Portugal, Italia y Brasil","ref":"Bali.html","title":"Bali","type":"module"},{"doc":"Obtiene la lista de tipos de documentos soportados","ref":"Bali.html#get_document_types/0","title":"Bali.get_document_types/0","type":"function"},{"doc":"Valida el identificador personal o fiscal segun el país(mx,co,es,pt,it,br) y tipoEjemplos: # México iex&gt; Bali.validate(:mx, :curp, &quot;ROCE000131HNLDNDA0&quot;) {:ok, &quot;ROCE000131HNLDNDA0&quot;} iex&gt; Bali.validate(:mx, :curp, &quot;BADD110313HCMLNS0Q&quot;) {:error, &quot;CURP inválido&quot;} iex&gt; Bali.validate(:mx, :rfc, &quot;AAFI7906296J1&quot;) {:ok, &quot;AAFI7906296J1&quot;} iex&gt; Bali.validate(:mx, :rfc, &quot;OIBD890101MQB&quot;) {:error, &quot;RFC inválido&quot;} # Colombia iex&gt; Bali.validate(:co, :cc, &quot;123456789&quot;) {:ok, &quot;123456789&quot;} iex&gt; Bali.validate(:co, :cc, &quot;12345678912&quot;) {:error, &quot;CC inválida&quot;} iex&gt; Bali.validate(:co, :ce, &quot;123456&quot;) {:ok, &quot;123456&quot;} iex&gt; Bali.validate(:co, :ce, &quot;12345678&quot;) {:error, &quot;CE inválida&quot;} iex&gt; Bali.validate(:co, :nit, &quot;123456-1&quot;) {:ok, &quot;123456-1&quot;} iex&gt; Bali.validate(:co, :nit, &quot;123456-12&quot;) {:error, &quot;NIT inválido&quot;} # España iex&gt; Bali.validate(:es, :dni, &quot;46324571H&quot;) {:ok, &quot;46324571H&quot;} iex&gt; Bali.validate(:es, :dni, &quot;46324571I&quot;) {:error, &quot;DNI inválido&quot;} iex&gt; Bali.validate(:es, :nie, &quot;Z1234567R&quot;) {:ok, &quot;Z1234567R&quot;} iex&gt; Bali.validate(:es, :nie, &quot;Z1234567I&quot;) {:error, &quot;NIE inválido&quot;} # Italia iex&gt; Bali.validate(:it, :cf, &quot;VRDGPP13R10B293P&quot;) {:ok, &quot;VRDGPP13R10B293P&quot;} iex&gt; Bali.validate(:it, :cf, &quot;VRDGPP13R10B29BP&quot;) {:error, &quot;CF inválido&quot;} # Portugal iex&gt; Bali.validate(:pt, :nif, &quot;123456789&quot;) {:ok, &quot;123456789&quot;} iex&gt; Bali.validate(:pt, :nif, &quot;12345678&quot;) {:error, &quot;NIF inválido&quot;} iex&gt; Bali.validate(:pt, :cc, &quot;12345678&quot;) {:ok, &quot;12345678&quot;} iex&gt; Bali.validate(:pt, :cc, &quot;1234567&quot;) {:error, &quot;CC inválido&quot;} # Brasil iex&gt; Bali.validate(:br, :cpf, &quot;000.000.000-00&quot;) {:ok, &quot;000.000.000-00&quot;} iex&gt; Bali.validate(:br, :cpf, &quot;000.000.000-000&quot;) {:error, &quot;CPF inválido&quot;} iex&gt; Bali.validate(:br, :cnpj, &quot;00.000.000/0000-00&quot;) {:ok, &quot;00.000.000/0000-00&quot;} iex&gt; Bali.validate(:br, :cnpj, &quot;00.000.000/0000-000&quot;) {:error, &quot;CNPJ inválido&quot;}","ref":"Bali.html#validate/3","title":"Bali.validate/3","type":"function"},{"doc":"Revisa si el tipo documento fiscal recibido se encuentra en la lista de documentos válidos y verifica que su valor sea correcto","ref":"Bali.html#validate_fiscal_document/3","title":"Bali.validate_fiscal_document/3","type":"function"},{"doc":"Revisa si el tipo documento personal recibido se encuentra en la lista de documentos válidos y verifica que su valor sea correcto","ref":"Bali.html#validate_personal_document/3","title":"Bali.validate_personal_document/3","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de Brazil. Soporta el CPF (Cadastro de Pessoas Físicas) Soporta el CNPJ (Cadastro Nacional de Pessoas Jurídicas)","ref":"Bali.Validators.Brazil.html","title":"Bali.Validators.Brazil","type":"module"},{"doc":"Valida el formato del CPF o el CNPJEjemplos: iex&gt; Bali.Validators.Brazil.validate(:cpf, &quot;000.000.000-00&quot;) {:ok, &quot;000.000.000-00&quot;} iex&gt; Bali.Validators.Brazil.validate(:cpf, &quot;0000.000.000-000&quot;) {:error, &quot;CPF inválido&quot;} iex&gt; Bali.Validators.Brazil.validate(:cnpj, &quot;00.000.000/0000-00&quot;) {:ok, &quot;00.000.000/0000-00&quot;} iex&gt; Bali.Validators.Brazil.validate(:cnpj, &quot;00.000.000/0000-000&quot;) {:error, &quot;CNPJ inválido&quot;}","ref":"Bali.Validators.Brazil.html#validate/2","title":"Bali.Validators.Brazil.validate/2","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de Colombia. Soporta la CC (Cédula de Ciudadania), la CE (Cédula de Extranjería) y el NIT (Número de Identificación Tributario)","ref":"Bali.Validators.Colombia.html","title":"Bali.Validators.Colombia","type":"module"},{"doc":"Valida el formato de una CC ó una CE ó un NITEjemplos: iex&gt; Bali.Validators.Colombia.validate(:cc, &quot;1234567891&quot;) {:ok, &quot;1234567891&quot;} iex&gt; Bali.Validators.Colombia.validate(:cc, &quot;12345678912&quot;) {:error, &quot;CC inválida&quot;} iex&gt; Bali.Validators.Colombia.validate(:ce, &quot;123456&quot;) {:ok, &quot;123456&quot;} iex&gt; Bali.Validators.Colombia.validate(:ce, &quot;1234567&quot;) {:error, &quot;CE inválida&quot;} iex&gt; Bali.Validators.Colombia.validate(:nit, &quot;123456-1&quot;) {:ok, &quot;123456-1&quot;} iex&gt; Bali.Validators.Colombia.validate(:nit, &quot;123456-12&quot;) {:error, &quot;NIT inválido&quot;}","ref":"Bali.Validators.Colombia.html#validate/2","title":"Bali.Validators.Colombia.validate/2","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de Italia. Soporta el CF (Codice Fiscale) Soporta el número de CIE (Carta de Identidad Electrónica)","ref":"Bali.Validators.Italy.html","title":"Bali.Validators.Italy","type":"module"},{"doc":"Valida el formato del CF o el número de CIEEjemplos: iex&gt; Bali.Validators.Italy.validate(:cf, &quot;VRDGPP13R10B293P&quot;) {:ok, &quot;VRDGPP13R10B293P&quot;} iex&gt; Bali.Validators.Italy.validate(:cf, &quot;VRDGPP13R10B29BP&quot;) {:error, &quot;CF inválido&quot;} iex&gt; Bali.Validators.Italy.validate(:cie, &quot;CA00000AA&quot;) {:ok, &quot;CA00000AA&quot;} iex&gt; Bali.Validators.Italy.validate(:cie, &quot;BA00000AA&quot;) {:error, &quot;CIE inválido&quot;}","ref":"Bali.Validators.Italy.html#validate/2","title":"Bali.Validators.Italy.validate/2","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de Mexico. Soporta el RFC (Registro Federal de Contribuyentes) y el CURP (Clave Única de Registro de Población)","ref":"Bali.Validators.Mexico.html","title":"Bali.Validators.Mexico","type":"module"},{"doc":"Valida el formato del CURP ó el RFC Ejemplos: iex&gt; Bali.Validators.Mexico.validate(:curp, &quot;ROCE000131HNLDNDA0&quot;) {:ok, &quot;ROCE000131HNLDNDA0&quot;} iex&gt; Bali.Validators.Mexico.validate(:curp, &quot;BADD110313HCMLNS0Q&quot;) {:error, &quot;CURP inválido&quot;} iex&gt; Bali.Validators.Mexico.validate(:rfc, &quot;AAFI7906296J1&quot;) {:ok, &quot;AAFI7906296J1&quot;} iex&gt; Bali.Validators.Mexico.validate(:rfc, &quot;OIBD890101MQB&quot;) {:error, &quot;RFC inválido&quot;}","ref":"Bali.Validators.Mexico.html#validate/2","title":"Bali.Validators.Mexico.validate/2","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de Portugal. Soporta el NIF (Número de identificación fiscal) y Tarjeta de ciudadano (Cartão de cidadão)","ref":"Bali.Validators.Portugal.html","title":"Bali.Validators.Portugal","type":"module"},{"doc":"Valida el formato del NIF o de CCEjemplos: iex&gt; Bali.Validators.Portugal.validate(:nif, &quot;123456789&quot;) {:ok, &quot;123456789&quot;} iex&gt; Bali.Validators.Portugal.validate(:nif, &quot;12345678&quot;) {:error, &quot;NIF inválido&quot;} iex&gt; Bali.Validators.Portugal.validate(:cc, &quot;12345678&quot;) {:ok, &quot;12345678&quot;} iex&gt; Bali.Validators.Portugal.validate(:cc, &quot;1234567&quot;) {:error, &quot;CC inválido&quot;}","ref":"Bali.Validators.Portugal.html#validate/2","title":"Bali.Validators.Portugal.validate/2","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de España. Soporta el DNI (Documento Nacional de Identidad) y el NIE (Número de identificación al Extranjero)","ref":"Bali.Validators.Spain.html","title":"Bali.Validators.Spain","type":"module"},{"doc":"Valida el formato del DNI, NIE o NIFEjemplos: iex&gt; Bali.Validators.Spain.validate(:dni, &quot;46324571H&quot;) {:ok, &quot;46324571H&quot;} iex&gt; Bali.Validators.Spain.validate(:dni, &quot;46324571I&quot;) {:error, &quot;DNI inválido&quot;} iex&gt; Bali.Validators.Spain.validate(:nie, &quot;Z1234567R&quot;) {:ok, &quot;Z1234567R&quot;} iex&gt; Bali.Validators.Spain.validate(:nie, &quot;Z1234567I&quot;) {:error, &quot;NIE inválido&quot;} iex&gt; Bali.Validators.Spain.validate(:nif, &quot;46324571H&quot;) {:ok, &quot;46324571H&quot;} iex&gt; Bali.Validators.Spain.validate(:nif, &quot;46324571I&quot;) {:error, &quot;NIF inválido&quot;}","ref":"Bali.Validators.Spain.html#validate/2","title":"Bali.Validators.Spain.validate/2","type":"function"}]